{ lib
, fetchgit
, stdenv
, autoconf
, automake
, ghc
, texinfo
, which
}:

stdenv.mkDerivation rec {
  pname = "havm";
  version = "0.28";

  src = fetchgit {
    url = "https://gitlab.lre.epita.fr/tiger/havm.git";
    sha256 = "sha256-6qr83iSF82lNASH+iRj0dZ46SXOuy9Id6RhUxwFa9vw=";
  };

  enableParallelBuilding = true;

  preConfigure = ''
    ./bootstrap
  '';

  nativeBuildInputs = [
    autoconf
    automake
    ghc
    texinfo
  ];

  checkInputs = [
    which
  ];

  doCheck = true;
  doInstallCheck = true;

  meta = with lib; {
    description = "HAVM, virtual machine designed to execute simple register based
        high level intermediate code";
    homepage = "https://www.lrde.epita.fr/wiki/Havm";
    license = licenses.gpl2Plus;
    platforms = platforms.all;
  };
}
